package com.project.ilsaenterprise.models;

public class MonitoringListModel {
    private String district, farm, deskripsi, timestamp, imageUrl, uid, latitude, longitude, fullName, role, jenisLaporan, dateUpload, imgLink, tipeLaporan, blok, afdeling, jabatan;
    private long countSee, countComment;

    public MonitoringListModel() {
    }

    public MonitoringListModel(String district, String farm, String deskripsi, String timestamp, String imageUrl, String uid, String latitude, String longitude, String fullName, String role, String jenisLaporan, String dateUpload, String imgLink, String tipeLaporan, String blok, String afdeling, String jabatan, long countSee, long countComment) {
        this.district = district;
        this.farm = farm;
        this.deskripsi = deskripsi;
        this.timestamp = timestamp;
        this.imageUrl = imageUrl;
        this.uid = uid;
        this.latitude = latitude;
        this.longitude = longitude;
        this.fullName = fullName;
        this.role = role;
        this.jenisLaporan = jenisLaporan;
        this.dateUpload = dateUpload;
        this.imgLink = imgLink;
        this.tipeLaporan = tipeLaporan;
        this.blok = blok;
        this.afdeling = afdeling;
        this.jabatan = jabatan;
        this.countSee = countSee;
        this.countComment = countComment;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getFarm() {
        return farm;
    }

    public void setFarm(String farm) {
        this.farm = farm;
    }

    public String getDeskripsi() {
        return deskripsi;
    }

    public void setDeskripsi(String deskripsi) {
        this.deskripsi = deskripsi;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getJenisLaporan() {
        return jenisLaporan;
    }

    public void setJenisLaporan(String jenisLaporan) {
        this.jenisLaporan = jenisLaporan;
    }

    public String getDateUpload() {
        return dateUpload;
    }

    public void setDateUpload(String dateUpload) {
        this.dateUpload = dateUpload;
    }

    public String getImgLink() {
        return imgLink;
    }

    public void setImgLink(String imgLink) {
        this.imgLink = imgLink;
    }

    public String getTipeLaporan() {
        return tipeLaporan;
    }

    public void setTipeLaporan(String tipeLaporan) {
        this.tipeLaporan = tipeLaporan;
    }

    public String getBlok() {
        return blok;
    }

    public void setBlok(String blok) {
        this.blok = blok;
    }

    public String getAfdeling() {
        return afdeling;
    }

    public void setAfdeling(String afdeling) {
        this.afdeling = afdeling;
    }

    public String getJabatan() {
        return jabatan;
    }

    public void setJabatan(String jabatan) {
        this.jabatan = jabatan;
    }

    public long getCountSee() {
        return countSee;
    }

    public void setCountSee(long countSee) {
        this.countSee = countSee;
    }

    public long getCountComment() {
        return countComment;
    }

    public void setCountComment(long countComment) {
        this.countComment = countComment;
    }
}


